Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## rdlc.main
Enum Main.OptionInfo.Type

    java.lang.Object
      java.lang.Enum<Main.OptionInfo.Type>
          rdlc.main.Main.OptionInfo.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Main.OptionInfo.Type>

Enclosing class:
  Main.OptionInfo

    public static enum Main.OptionInfo.Type

extends java.lang.Enum<Main.OptionInfo.Type>

Enum of the types that command line options can have.

Version:
  $Revision: 1.40 $
Author:
  Greg Gibeling

Enum Constant Summary
`bool`
`map`
`platlang`
`string`
`unit`

Method Summary
`static Main.OptionInfo.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Main.OptionInfo.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### string

    public static final Main.OptionInfo.Type string

### bool

    public static final Main.OptionInfo.Type bool

### unit

    public static final Main.OptionInfo.Type unit

### platlang

    public static final Main.OptionInfo.Type platlang

### map

    public static final Main.OptionInfo.Type map

Method Detail

### values

    public static final Main.OptionInfo.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Main.OptionInfo.Type c : Main.OptionInfo.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Main.OptionInfo.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD